#############################################################################
#
# Licensed Materials - Property of IBM
#
# (C) COPYRIGHT International Business Machines Corp. 2009
#
# All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#############################################################################

# Parameters checked against http://publib.boulder.ibm.com/infocenter/db2luw/v9r7/index.jsp?topic=/com.ibm.db2.luw.admin.perf.doc/doc/c0054689.html

## Path:        Applications/DB2
## Description: DB2
## Type:        list("%DB2BASE%")
## ServiceRestart: db2
#
#
# home directory of db2 
DB2HOME=%DB2BASE%
## Path:        Applications/DB2
## Description: DB2
## Type:        yesno
## Default:     yes
#
# starting db2
#
START_DB2="yes"
## Path:        Applications/DB2
## Description: DB2
## Type:        yesno
## Default:     yes
#
# starting fault monitor coordinator
#
START_FMC="no"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "fmc:2345:respawn:%DB2BASE%/bin/db2fmcd #DB2 Fault Monitor Coordinator"
# line to start fmc in /etc/inittab
FMC="fmc:2345:respawn:%DB2BASE%/bin/db2fmcd #DB2 Fault Monitor Coordinator"
## Path:        Applications/DB2
## Description: DB2
## Type:        yesno
## Default:     no
#
# set kernel parameters
#
SET_DB2_KERNEL_PARAMETERS="yes"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "kernel.shmall=3774873"
#
# System-wide limit on the total number of System V shared memory in pages
# kernel.shmall. Recommended value for DB2: 2 * <size of RAM in bytes> in 4K pages
#
SHMALL="kernel.shmall=3774873"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "kernel.shmmax=1073741824"
#
# Size of shared memory in bytes
# kernel.shmmax. Recommended value for DB2: <size of RAM in bytes>
#
SHMMAX="kernel.shmmax=1073741824"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "kernel.shmmni=4096"
#
# System-wide maximum number of System V IPC shared memory segments that can be created. The default value is 4096.
# kernel.shmmni. Recommended value for DB2: 256 * <size of RAM in GB>
#
SHMMNI="kernel.shmmni=4096"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "kernel.msgmni=16384"
#
# system-wide limit on the number of message queue identifiers
# kernel.msgmni
#
MSGMNI="kernel.msgmni=1024"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "kernel.msgmnb=65536"
#
# maximum allowable total combined size of all messages queued in a single given System V IPC message queue at any one time, in bytes
# kernel.msgmnb
#
MSGMNB="kernel.msgmnb=65536"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "kernel.msgmax=65536"
#
# maximum allowable size of any single message in a System V IPC message queue, in bytes. msgmax must be no larger than msgmnb 
# kernel.msgmax
#
MSGMAX="kernel.msgmax=65536"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "kernel.sem=250 256000 32 1024"
#
# limits of System V IPC semaphores:
# Parameter 1: maximum semaphores per semaphore set (SEMMSL)
# Parameter 2: system-wide limit on the number of semaphores in all semaphore sets (SEMMNS)
# Parameter 3: maximum number of operations that may be specified in a semop call (SEMOPM)
# Parameter 4: system-wide limit on the maximum number of semaphore identifiers (SEMMNI)
#
SEM="kernel.sem=250 256000 32 4096"
## Path:        Applications/DB2
## Description: DB2
## Type:        string
## Default:     "$SHMALL $SHMMAX $SHMMNI $MSGMNI $MSGMNB $MSGMAX $FILEMAX $VMSWAPPINESS $VMDIRTYRATIO $VMDIRTYBGRATIO"
#
# kernel parameters to set, excluding SEM
#
DB2_KERNEL_PARAMETERS="$SHMMNI $SHMMAX $SHMALL $MSGMNI $MSGMAX $MSGMNB"
